curl --request PUT \
--url https://api.sandbox.tesouro.com/finops/v1/payables/{payable_id}/line-items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>' \
--data '
{
"data": [
{
"accounting_tax_rate_id": "dd13735f-ef3a-4312-8c37-835d70341375",
"description": "<string>",
"ledger_account_id": "7df884fd-8be8-4eba-b6ff-417b66efe033",
"name": "<string>",
"quantity": 1.22,
"subtotal": 123,
"tax": 1250,
"total": 123,
"unit": "meter",
"unit_price": 1200
}
]
}
'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payable_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accounting_tax_rate_id": "dd13735f-ef3a-4312-8c37-835d70341375",
"description": "<string>",
"ledger_account_id": "7df884fd-8be8-4eba-b6ff-417b66efe033",
"name": "<string>",
"ocr_set_quantity_to_one": false,
"quantity": 1.22,
"subtotal": 1250,
"tax": 2000,
"tax_amount": 250,
"total": 1200,
"unit": "meter",
"unit_price": 1500,
"was_created_by_user_id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5"
}
]
}Replaces the information of all line items of a specific payable.
Related guide: Replace all line items
See also:
curl --request PUT \
--url https://api.sandbox.tesouro.com/finops/v1/payables/{payable_id}/line-items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>' \
--data '
{
"data": [
{
"accounting_tax_rate_id": "dd13735f-ef3a-4312-8c37-835d70341375",
"description": "<string>",
"ledger_account_id": "7df884fd-8be8-4eba-b6ff-417b66efe033",
"name": "<string>",
"quantity": 1.22,
"subtotal": 123,
"tax": 1250,
"total": 123,
"unit": "meter",
"unit_price": 1200
}
]
}
'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payable_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accounting_tax_rate_id": "dd13735f-ef3a-4312-8c37-835d70341375",
"description": "<string>",
"ledger_account_id": "7df884fd-8be8-4eba-b6ff-417b66efe033",
"name": "<string>",
"ocr_set_quantity_to_one": false,
"quantity": 1.22,
"subtotal": 1250,
"tax": 2000,
"tax_amount": 250,
"total": 1200,
"unit": "meter",
"unit_price": 1500,
"was_created_by_user_id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the entity that owns the requested resource.
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Show child attributes
Successful Response
Show child attributes
Was this page helpful?